Subject: Re: [PATCH] ASoC: fsl: imx-pcm-dma: Don't request dma channel in probe

From: Mark Brown <[email-masked]>
Date: Wed, 20 May 2020 13:38:50 +0100

On Wed, May 20, 2020 at 07:22:19PM +0800, Shengjiu Wang wrote:

> I see some driver also request dma channel in open() or hw_params().
> how can they avoid the defer probe issue?
> for example：
> sound/arm/pxa2xx-pcm-lib.c
> sound/soc/sprd/sprd-pcm-dma.c

Other drivers having problems means those drivers should be fixed, not
that we should copy the problems.  In the case of the PXA driver that's
very old code which predates deferred probe by I'd guess a decade.